TIBCO FTL®

Public Member Functions | Properties | List of all members
TIBCO.FTL.GROUP.IGroup Interface Reference

The group facility can coordinate fault-tolerant operation, or distribute operating roles among application process instances. More...

Inheritance diagram for TIBCO.FTL.GROUP.IGroup:

## Public Member Functions
IMessage | GetMembers ()
| Returns the active members of group. More...
long | GetOrdinal ()
| Return the current ordinal of this member of group. More...
long | GetWeight ()
| Returns the weight for this member. More...
void | Leave ()
| Leave a group, and destroy the group object. More...
void | SetWeight (long weight)
| Set the weight for this group member. < /summary> More...

## Properties
string | Name`[get]`
| Return the group name string that your program supplied to GroupFactory.Join. More...

## Detailed Description

The group facility can coordinate fault-tolerant operation, or distribute operating roles among application process instances.

A group object represents the membership or potential membership of an application process in a group.

The IGroup interface defines the public API of group objects. To join a group by creating a group object, call GroupFactory.Join.

A group server tracks group members, and assigns an ordinal to each member. The group facility raises advisories to inform the member of its current ordinal. Based on its ordinal, each member operates in a particular application-specific role.

The group server also reports the group status as members join and leave the group, or disconnect from the server. The group facility raises advisories to inform members and observers of such changes in status.

Customers do not implement this interface.

## Member Function Documentation

## ◆ GetMembers()

IMessage TIBCO.FTL.GROUP.IGroup.GetMembers | ( |  | ) |

Returns the active members of group.

Returns
  A message object.

## ◆ GetOrdinal()

long TIBCO.FTL.GROUP.IGroup.GetOrdinal | ( |  | ) |

Return the current ordinal of this member of group.

## ◆ GetWeight()

long TIBCO.FTL.GROUP.IGroup.GetWeight | ( |  | ) |

Returns the weight for this member.

## ◆ Leave()

void TIBCO.FTL.GROUP.IGroup.Leave | ( |  | ) |

Leave a group, and destroy the group object.

This call informs the group server that the member is leaving the group. In response, the group server revises the ordinals of the remaining group members appropriately.

This call releases all resources held by the group object.

Before your program can `Dispose` the IRealm object, it must first destroy all the group objects that it has created.

## ◆ SetWeight()

void TIBCO.FTL.GROUP.IGroup.SetWeight | ( | long | weight | ) |

Set the weight for this group member. < /summary>

Acceptable values are positive integers. Zero is reserved value.

Programs can adjust their weight at any time to reflect changing conditions on the host.

Adjusting weights causes each member to recompute their relative weights of all the members of the group. For large groups this recomputation can affect performance.

## Property Documentation

## ◆ Name

string TIBCO.FTL.GROUP.IGroup.Name
| get

Return the group name string that your program supplied to GroupFactory.Join.